import java.io.*;
import javax.xml.parsers.*;
import org.xml.sax.*;
import org.xml.sax.helpers.*;

public class SAXValidation
{
   public static void main(String[] args) throws Exception
   {
	if (args.length != 1)
    {System.out.println("usage : >java SAXValidation <input-file name>");
	 System.exit(1);
    }
      //SAX غѴ
      SAXParserFactory spf  = SAXParserFactory.newInstance();
     
	  //ӽ̽  
	  spf.setNamespaceAware(true);

	  // ȿ ˻  
	  spf.setValidating(true);

      // SAX ļ ü 
	  SAXParser sp = spf.newSAXParser();

      //  ļ ӽ̽  ȿ ˻縦 ϴ 
	  System.out.println("namespace  :" + spf.isNamespaceAware());
	  System.out.println(" ȿ ˻  :" + spf.isValidating());
	  
	  
      // ̺Ʈ ڵ鷯 ü 
      SAXVHandler svh = new SAXVHandler();

      // оδ
      sp.parse(new File(args[0]), svh);
   }
}

//ڵ鷯 Ŭ
class SAXVHandler extends DefaultHandler
{
   // 
   public void startDocument() 
   {
      System.out.println(" Ľ .");
   }

   public void error(SAXParseException e) 
   {
      System.out.println(e);
   }
   
   // 
   public void endDocument() 
   {
      System.out.println(" Ľ ");
   }
}
