import org.w3c.dom.*;
import javax.xml.parsers.*;

public class HelloXML {
	public static void main(String args[]) {
		try {	
			DocumentBuilderFactory factory = 
					DocumentBuilderFactory.newInstance();
			DocumentBuilder builder = 
					factory.newDocumentBuilder();
			Document document = builder.parse("hello.xml");	
			
			Element element = document.getDocumentElement();
			System.out.println("root element name = [" + element.getTagName() + "]");
			
			Node node = element.getFirstChild();
			System.out.println("root element content = [" + node.getNodeValue() + "]");
			
 		} catch (Exception e) {
			e.printStackTrace();
		}
		System.out.println("Done.");
	}
}
