import java.io.*;
import javax.xml.parsers.*;
import org.xml.sax.*;
import org.xml.sax.helpers.*;

public class SAXAttr
{
   public static void main(String[] args) throws Exception
   {
	if (args.length != 1)
    {System.out.println("usage : >java SAXAttr <input-file name>");
	 System.exit(1);
    }
      //SAX غѴ
      SAXParserFactory spf  = SAXParserFactory.newInstance();
      // SAX ļ ü 
	  SAXParser sp = spf.newSAXParser();

      // ̺Ʈ ڵ鷯 ü 
      AttrHandler ah = new AttrHandler();

      // оδ
      sp.parse(new File(args[0]), ah);
   }
}

//ڵ鷯 Ŭ
class AttrHandler extends DefaultHandler {
	
	public void startDocument() throws SAXException {
		System.out.println("л ");
		System.out.println("-----------------------");
	}
	
	public void endDocument() throws SAXException {
		System.out.println("-----------------------");		
	}
	
	public void startElement(String uri, String localName, 
			String qName, Attributes attributes) 
			throws SAXException {
		
		if(qName.equals("address")) {
			String ty = attributes.getValue("type");
			System.out.print(ty + " ּ:");
		} else if(qName.equals("phone")) {
			String ty = attributes.getValue("type");
			System.out.print(ty + " ȭ ȣ:");			
		} else if(qName.equals("name")){
			System.out.print("̸:");
		}
	}
		
	public void characters(char ch[], int start, int length) {
		System.out.print(new String(ch, start, length));	
	}
}