import java.io.*;
import javax.xml.parsers.*;
import org.xml.sax.*;
import org.xml.sax.helpers.*;

public class SAXLocator
{
   public static void main(String[] args) throws Exception
   {
	if (args.length != 1)
    {System.out.println("usage : >java SAXLocator <input-file name>");
	 System.exit(1);
    }
      //SAX غѴ
      SAXParserFactory spf  = SAXParserFactory.newInstance();
      // SAX ļ ü 
	  SAXParser sp = spf.newSAXParser();

      // ̺Ʈ ڵ鷯 ü 
      LocatorHandler lh = new LocatorHandler();

      // оδ
      sp.parse(new File(args[0]), lh);
   }
}

//ڵ鷯 Ŭ
class LocatorHandler extends DefaultHandler {
	Locator loc;
	
	public void startDocument() throws SAXException {
		System.out.println(" ġ : " + loc.getSystemId());
        System.out.println(loc.getLineNumber() + " - <>"); 
	}

    public void endDocument() throws SAXException {
        System.out.println(loc.getLineNumber() + " - <>"); 
	}

	// Locator 
	public void setDocumentLocator(Locator loc) {
		this.loc = loc;	
	}
	
	public void startElement(String uri, String localName, 
			String qName, Attributes attributes) 
			throws SAXException {
		
		System.out.print(loc.getLineNumber() + " - <" + qName + ">");
	}
	
	public void endElement(String uri, String localName, 
			String qName) throws SAXException {
		System.out.println(loc.getLineNumber() +" - </" + qName + ">");
	}
	
	public void characters(char ch[], int start, int length) {
		System.out.print(new String(ch, start, length));	
	}
}