import java.io.*;
import javax.xml.parsers.*;
import org.xml.sax.*;
import org.xml.sax.helpers.*;

class SAXSelect
{
   public static void main(String[] args) throws Exception
   {
	 if (args.length != 1)
    {System.out.println("usage : >java SAXSelect <input-file name>");
	 System.exit(1);
    }
      //SAX غѴ
      SAXParserFactory spf = SAXParserFactory.newInstance();
      SAXParser sp = spf.newSAXParser();

      //ڵ鷯 غѴ
      SelectHandler sh = new SelectHandler();

      // оδ
      sp.parse(new FileInputStream(args[0]), sh);
   }
}

// ڵ鷯 Ŭ
class SelectHandler extends DefaultHandler
{
   //ڿ غѴ
   StringBuffer sb = new StringBuffer();
   boolean isPrint = false;

   // 
   public void startDocument()
  {
      sb.append("<?xml version=\"1.0\" encoding=\"EUC-KR\" ?>");
      sb.append("<students>");
   }

   // 
   public void endDocument()
   {
      sb.append("</students>");
      //ڿ ִ´
      try{
         PrintWriter pw = new PrintWriter
           (new BufferedWriter(new FileWriter("new_students.xml")));
          pw.println(sb);
         pw.close();
      }catch(Exception e){} 
   }

   // 
   public void startElement(String namespaceURI,
                            String localName,
                            String qName, 
                            Attributes attrs) 
   {
      if(qName.equals("name")){
         sb.append("<" + qName + ">");
         isPrint = true;
      }
   }

   // 
   public void endElement(String namespaceURI,
                          String localName,
                          String qName)
   {
      if(qName.equals("name")){
         sb.append("</" + qName + ">");
         isPrint = false;
      }
   }

   // 
   public void characters(char[] ch, int start,int length)                            
   {
      String str = new String(ch, start, length);
      if(str.trim().length() != 0 && isPrint == true){
            sb.append(str);
      }
   }
}
