import java.io.*;
import javax.xml.parsers.*;
import org.xml.sax.*;
import org.xml.sax.helpers.*;

class SAXSelectAttr
{
   public static void main(String[] args) throws Exception
   {
	 if (args.length != 1)
    {System.out.println("usage : >java SAXSelectAttr <input-file name>");
	 System.exit(1);
    }
      //SAX غѴ
      SAXParserFactory spf = SAXParserFactory.newInstance();
      SAXParser sp = spf.newSAXParser();

      //ڵ鷯 غѴ
      SelectAttrHandler sah = new SelectAttrHandler();

      // оδ
      sp.parse(new FileInputStream(args[0]), sah);
   }
}

// ڵ鷯 Ŭ
class SelectAttrHandler extends DefaultHandler
{
   //ڿ غѴ
   StringBuffer sb = new StringBuffer();

   // 
   public void startDocument() 
   {
      sb.append
      ("<?xml version=\"1.0\" encoding=\"EUC-KR\" ?>");
      sb.append("<students>");
   }

   // 
   public void endDocument() 
   {
      sb.append("</students>");
      //ڿ ִ´
      try{
         PrintWriter pw = new PrintWriter
           (new BufferedWriter(new FileWriter("sno_students.xml")));
          pw.println(sb);
          pw.close();
      }catch(Exception e){} 
   }
   
   // 
   public void startElement(String namespaceURI,
                            String localName,
                            String qName, 
                            Attributes attrs) 
   {
      if(qName.equals("student")){
         for(int i=0; i<attrs.getLength(); i++){
            sb.append("<" + attrs.getQName(i) + ">");
            sb.append(attrs.getValue(i));
            sb.append("</" + attrs.getQName(i) + ">");
         }
      }
   }
}
