import java.io.*;
import javax.xml.parsers.*;
import org.xml.sax.*;
import org.xml.sax.helpers.*;

class SAXTrans
{
   public static void main(String[] args) throws Exception
   {
	 if (args.length != 1)
    {System.out.println("usage : >java SAXTrans <input-file name>");
	 System.exit(1);
    }
      //SAX غѴ
      SAXParserFactory spf = SAXParserFactory.newInstance();
      SAXParser sp = spf.newSAXParser();

      //ڵ鷯 غѴ
      TransHandler th = new TransHandler();

      // оδ
      sp.parse(new FileInputStream(args[0]), th);
   }
}

class TransHandler extends DefaultHandler
{
   //ڿ غѴ
   StringBuffer sb = new StringBuffer();

   // 
   public void startDocument() {
      sb.append
     ("<?xml version=\"1.0\" encoding=\"EUC-KR\" ?>");
   }

   // 
   public void endDocument() {
      //ڿ ִ´
      try{
         PrintWriter pw = new PrintWriter
           (new BufferedWriter
           (new FileWriter("kor_students.xml")));
          pw.println(sb);
         pw.close();
      }catch(Exception e){} 
   }

   // 
   public void startElement(String namespaceURI,
                            String localName,
                            String qName, 
                            Attributes attrs)
   {
      if(qName.equals("students")){
         sb.append("<л>");
      }
      else if(qName.equals("student")){
         sb.append("<л>");
      }
      else if(qName.equals("name")){
         sb.append("≮>");
      }
      else if(qName.equals("age")){
         sb.append("<>");
      }
   }

   // 
   public void endElement(String namespaceURI,
                          String localName,
                          String qName)
   {
      if(qName.equals("students")){
         sb.append("</л>");
      }
      else if(qName.equals("student")){
         sb.append("</л>");
      }
      else if(qName.equals("name")){
         sb.append("</̸>");
      }
      else if(qName.equals("age")){
         sb.append("</>");
      }
   }

   // 
   public void characters(char[] ch, int start, int length)                                             {
      String str = new String(ch, start, length);
      if(str.trim().length() != 0){
            sb.append(str);
      }
   }
}
