import java.io.*;
import javax.xml.parsers.*;
import org.xml.sax.*;
import org.xml.sax.helpers.*;

public class SAXValid
{
   public static void main(String[] args) throws Exception
   {
	if (args.length != 1)
    {System.out.println("usage : >java SAXValid <input-file name>");
	 System.exit(1);
    }
      //SAX غѴ
      SAXParserFactory spf  = SAXParserFactory.newInstance();
     
	  //ӽ̽  
	  spf.setNamespaceAware(true);

	  // ȿ ˻  
	  spf.setValidating(true);

      // SAX ļ ü 
	  SAXParser sp = spf.newSAXParser();

      // ̺Ʈ ڵ鷯 ü 
      ValidHandler vh = new ValidHandler();

      // оδ
      sp.parse(new File(args[0]), vh);
   }
}

//ڵ鷯 Ŭ
class ValidHandler extends DefaultHandler {
	boolean  valid = true;
	
	public boolean isValid() {
		return valid;
	}
	
	public void warning(SAXParseException e) throws SAXException {
		System.out.print(" ޽");
		System.out.print(e.getLineNumber() + " : ");
		System.out.println(e.getMessage());
	}
	
	public void error(SAXParseException e) throws SAXException {
		valid = false;
		System.out.print("ȿ  :");	
		System.out.print(e.getLineNumber() + " : ");		
		System.out.println(e.getMessage());		
	}
	 
	public void fatalError(SAXParseException e) throws SAXException {
		valid = false;
		System.out.print("Well-formed  :"); 
		System.out.print(e.getLineNumber() + " : ");
		System.out.println(e.getMessage());		
	}	
}
