import java.io.*;
import javax.xml.parsers.*;
import org.xml.sax.*;
import org.xml.sax.helpers.*;

public class SAXValid
{
   public static void main(String[] args) throws Exception
   {
	if (args.length != 1)
    {System.out.println("usage : >java SAXValid <input-file name>");
	 System.exit(1);
    }

      //SAX غѴ
      SAXParserFactory spf  = SAXParserFactory.newInstance();
      // SAX ļ ü 
	  SAXParser sp = spf.newSAXParser();
     
	  // ̺Ʈ ڵ鷯 ü 
      ValidHandler vh = new ValidHandler();

	  sp.setFeature("http://xml.org/sax/features/validation",true);
	  sp.setErrorHandler(vh);
	  sp.setContentHandler(vh);
	 

      // оδ
      sp.parse(new File(args[0]), vh);
	  if(spf.isValid()) {
		 System.out.println(args[0] + " ȿ Դϴ.");
		}
   }
}

//ڵ鷯 Ŭ
class ValidHandler extends DefaultHandler {
	boolean  valid = true;
	
	public boolean isValid() {
		return valid;
	}
	
	public void warning(SAXParseException e) throws SAXException {
		System.out.print(" ޽");
		System.out.print(e.getLineNumber() + " : ");
		System.out.println(e.getMessage());
	}
	
	public void error(SAXParseException e) throws SAXException {
		valid = false;
		System.out.print("ȿ  :");	
		System.out.print(e.getLineNumber() + " : ");		
		System.out.println(e.getMessage());		
	}
	 
	public void fatalError(SAXParseException e) throws SAXException {
		valid = false;
		System.out.print("Well-formed  :"); 
		System.out.print(e.getLineNumber() + " : ");
		System.out.println(e.getMessage());		
	}	
}