import java.io.*;
import javax.xml.parsers.*;
import org.w3c.dom.*;
import org.apache.crimson.tree.*;

class CreateData
{
   public static void main(String args[]) throws Exception
   {
	 if (args.length != 2)
    {System.out.println("usage : >java CreateData <input-file name> <output-file name>");
	 System.exit(1);
    }
      //DOM غѴ
      DocumentBuilderFactory dbf
         = DocumentBuilderFactory.newInstance();
      DocumentBuilder db
         = dbf.newDocumentBuilder();

      // о̱
      Document doc
         = db.parse(new FileInputStream(args[0]));

      //  ´
      Element root = doc.getDocumentElement();

      // (child) ãư
      addData(root);

      // ֱ
      XmlDocument xdoc = (XmlDocument) doc;
      BufferedWriter bw = new BufferedWriter(new FileWriter(args[1]));
      xdoc.write(bw,"EUC-KR");

   }

   // (child) ãư
   public static void addData(Node n)
   {
      for(Node ch = n.getFirstChild();
               ch != null;
               ch = ch.getNextSibling()){

         //Ҹ óѴ
         if(ch.getNodeType() == Node.ELEMENT_NODE){

            if(ch.getNodeName().equals("student")){
               Document doc = ch.getOwnerDocument();
               Element comp = doc.createElement("school");
               Text txt = doc.createTextNode("ܱб");
               ch.appendChild(comp);
               comp.appendChild(txt);
            }

            addData(ch);
         }
      }
   }
}
